Public Member Functions | Public Attributes | List of all members
StarItemPoolInternal::Values Struct Reference

internal: list of attribute corresponding to a slot id More...

## Public Member Functions
| Values ()
| constructor

## Public Attributes
std::shared_ptr< StarAttribute > | m_default
| the default values
std::map< int, std::shared_ptr< StarAttribute > > | m_idValueMap
| the list of attribute

## Detailed Description

internal: list of attribute corresponding to a slot id

## Constructor & Destructor Documentation

## ◆ Values()

StarItemPoolInternal::Values::Values | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_default

std::shared_ptr<StarAttribute> StarItemPoolInternal::Values::m_default

the default values

Referenced by StarItemPool::loadSurrogate(), and StarItemPool::readV2().

## ◆ m_idValueMap

std::map<int,std::shared_ptr<StarAttribute> > StarItemPoolInternal::Values::m_idValueMap

the list of attribute

Referenced by StarItemPool::loadSurrogate(), and StarItemPool::readV2().

The documentation for this struct was generated from the following file:

- StarItemPool.cxx